@import 'bootstrap-variables';
@import '~bootstrap/scss/functions';
@import '~bootswatch/dist/cerulean/variables';
@import '~bootstrap/scss/variables';

/* ==============================================================
Bootstrap tweaks
===============================================================*/
.required {
  color: red;
}

.required3 {
  color: red;
  padding-left: 240px;
}

.required2 {
  color: red;
  padding-left: 580px;
}

/* this is for clicked or active tabs */
.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
  background-color: #f4f4f4;
  color: #2e2a25;
  font-size: 15px;
  font-weight: bold;
}

/* this is for normal tabs */
.nav-tabs .nav-link {
  background-color: #2e2a25;
  color: #f4f4f4;
  font-size: 15px;
  font-weight: bold;
  padding: 5px 25px;
}
body,
h1,
h2,
h3,
h4 {
  font-weight: 300;
}

a:hover {
  /* make sure browsers use the pointer cursor for anchors, even with no href */
  cursor: pointer;
}

.dropdown-item:hover {
  color: $dropdown-link-hover-color;
}

/* ==========================================================================
Browser Upgrade Prompt
========================================================================== */
.browserupgrade {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

/* ==========================================================================
Generic styles
========================================================================== */

/* other generic styles */

.jh-card {
  padding: 1.5%;
  margin-top: 20px;
  border: none;
}

.error {
  color: white;
  background-color: red;
}

.pad2 {
  margin-left: 20px;
  margin-right: 20px;
}

.pad {
  padding: 10px;
}

.w-10 {
  width: 10% !important;
}

.w-20 {
  width: 20% !important;
}

.w-40 {
  width: 40% !important;
}

.w-60 {
  width: 60% !important;
}

.break {
  white-space: normal;
  word-break: break-all;
}

.readonly {
  background-color: #eee;
  opacity: 1;
}

.footer {
  border-top: 1px solid rgba(0, 0, 0, 0.125);
}

.hand,
[jhisortby] {
  cursor: pointer;
}

/* ==========================================================================
Custom alerts for notification
========================================================================== */
.alerts {
  .alert {
    text-overflow: ellipsis;
    pre {
      background: none;
      border: none;
      font: inherit;
      color: inherit;
      padding: 0;
      margin: 0;
    }
    .popover pre {
      font-size: 10px;
    }
  }
  .jhi-toast {
    position: fixed;
    width: 100%;
    &.left {
      left: 5px;
    }
    &.right {
      right: 5px;
    }
    &.top {
      top: 55px;
    }
    &.bottom {
      bottom: 55px;
    }
  }
}

@media screen and (min-width: 480px) {
  .alerts .jhi-toast {
    width: 50%;
  }
}

/* ==========================================================================
entity detail page css
========================================================================== */
.row.jh-entity-details > {
  dd {
    margin-bottom: 15px;
  }
}

@media screen and (min-width: 768px) {
  .row.jh-entity-details > {
    dt {
      margin-bottom: 15px;
    }
    dd {
      border-bottom: 1px solid #eee;
      padding-left: 180px;
      margin-left: 0;
    }
  }
}

/* ==========================================================================
ui bootstrap tweaks
========================================================================== */
.nav,
.pagination,
.carousel,
.panel-title a {
  cursor: pointer;
}

.thread-dump-modal-lock {
  max-width: 450px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.cdk-global-overlay-wrapper,
.cdk-overlay-container {
  z-index: 10000 !important;
}

/* jhipster-needle-scss-add-main JHipster will add new css style */
